function [fh,gah] = figport(vis)
% opens a portrait figure window
% creates a global figure axes holding the whole page 
% returns the handle to the figure and the global axes

% this is how the call could look IF the figure 'position' values
%   referred to the actual size of the figure area excluding the 
%   borders and toolbar(s):
% fh = figure('Units','inches','Position',[.5 .35 8.5 11],...
% 	'PaperUnits','inches','PaperPosition',[0 0 8.5 11],...
% 	'Visible',vis);

% unfortunately, apparently the 'position' values include the
%   area of the borders and toolbar(s)-- using the above results
%   in an image, created using the 'print' command, that is
%   distorted from 8.5 x 11

% thus, i use this empirically-scaled version of the call, which
%   seems to end up creating a plot (using the 'print' command)
%   which has very nearly 8.5 x 11 dimensions:
fh = figure('Units','inches','Position',[.5 .5 0.8*8.5 0.8*11],...
	'PaperUnits','inches','PaperPosition',[0 0 8.5 11],...
	'Visible',vis);

gah = axes('Position',[0 0 1 1],'Visible','off');
