% getparams.m 
% revision of get_params - dc 11/05
% This is a general routine that will query you for an input
% 	file then read it and keep track of all administrative
%	info (coordinated with modprelims.m). 
% Set 'ingrp' as label of input parameters group, 
%   e.g. ingrp = 'grid'.
%   The (multiple, user-selectable) input files that set the 
%   'grid' parameters must be in subdirectory 'in' and named 
%   'grid001.m', 'grid002.m', 'gridNNN.m', etc. Each has 
%    first line (header) exactly as:
%         % hdr NNN: (description of file/run info)

% move to input directory

cd in;

% echo choices to screen

fprintf(['\n\nInput parameters group "%s" input file %sXXX.m'...
        ' in ' adm.modname '/in;\n'],ingrp,ingrp);

fprintf('     choose among: \n\n');

eval(sprintf('files = dir(''%s*.m'');',ingrp));

for i = length(files):-1:1
    fp = fopen(files(i).name,'r');
    output = fgetl(fp);
    output = output(findstr(':',output):length(output));
    fclose(fp);
    disp([files(i).name(1:length(files(i).name)-2) output]);
end

% ask for input

eval(sprintf('%sXXX = input(''\\nEnter XXX: '',''s'');',ingrp));


% execute the input file

eval(sprintf('%s%s',ingrp,eval(sprintf('%sXXX',ingrp))));

% add descriptive line to adm.indesc

eval(sprintf('fp = fopen(''%s%s.m'');',ingrp,eval([ingrp 'XXX'])));   

output = fgetl(fp);

fclose(fp);

st = findstr(':',output);

st = st(1);   

fn = length(output);

adm.indesc = strvcat(adm.indesc,[ingrp output(st-3:fn)]);

% add variable to adm showing which input file used

eval(sprintf('adm.inXXX.%s = ''%s'';',ingrp,eval(sprintf('%sXXX',ingrp))));


% return to application directory

eval(['cd ' adm.dir]);


% clean up

eval(sprintf('clear %sXXX status output ingrp files crs fp st fn i',ingrp));








